qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

iotest 030 still occasionally intermittently failing


From: Peter Maydell
Subject: iotest 030 still occasionally intermittently failing
Date: Mon, 16 Nov 2020 16:16:35 +0000

Just saw this on a test run on the OpenBSD VM build-and-test,
so this test is still intermittently failing...


  TEST    iotest-qcow2: 030 [fail]
QEMU          --
"/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/../../qemu-system-aarch64"
-nodefaults -display none -accel qtest -machine virt
QEMU_IMG      --
"/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/../../qemu-img"
QEMU_IO       --
"/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/../../qemu-io"
--cache writeback --aio threads -f qcow2
QEMU_NBD      --
"/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/../../qemu-nbd"
IMGFMT        -- qcow2 (compat=1.1)
IMGPROTO      -- file
PLATFORM      -- OpenBSD/amd64 openbsd 6.8
TEST_DIR      -- /home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/scratch
SOCK_DIR      -- /tmp/tmp.XpU6JjBMml
SOCKET_SCM_HELPER --

--- /home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/030.out  Mon
Nov 16 15:33:05 2020
+++ /home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/030.out.bad
 Mon Nov 16 16:03:42 2020
@@ -1,5 +1,47 @@
-...........................
+WARNING:qemu.machine:qemu received signal 6; command:
"/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/../../qemu-system-aarch64
-display none -vga none -chardev
socket,id=mon,path=/tmp/tmp.XpU6JjBMml/qemu-42319-monitor.sock -mon
chardev=mon,mode=control -qtest
unix:path=/tmp/tmp.XpU6JjBMml/qemu-42319-qtest.sock -accel qtest
-nodefaults -display none -accel qtest -machine virt -drive
if=virtio,id=drive0,file=/home/qemu/qemu-test.h37iBt/build/tests/qemu-iotests/scratch/img-8.img,format=qcow2,cache=writeback,aio=threads,backing.backing.backing.backing.backing.backing.backing.backing.node-name=node0,backing.backing.backing.backing.backing.backing.backing.node-name=node1,backing.backing.backing.backing.backing.backing.node-name=node2,backing.backing.backing.backing.backing.node-name=node3,backing.backing.backing.backing.node-name=node4,backing.backing.backing.node-name=node5,backing.backing.node-name=node6,backing.node-name=node7,node-name=node8"
+............EE..............
+======================================================================
+ERROR: test_stream_commit_2 (__main__.TestParallelOps)
 ----------------------------------------------------------------------
+Traceback (most recent call last):
+  File "030", line 492, in test_stream_commit_2
+    self.assert_no_active_block_jobs()
+  File "/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/iotests.py",
line 932, in assert_no_active_block_jobs
+    result = self.vm.qmp('query-block-jobs')
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/machine.py",
line 559, in qmp
+    return self._qmp.cmd(cmd, args=qmp_args)
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/qmp.py",
line 278, in cmd
+    return self.cmd_obj(qmp_cmd)
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/qmp.py",
line 259, in cmd_obj
+    raise QMPConnectError("Unexpected empty reply from server")
+qemu.qmp.QMPConnectError: Unexpected empty reply from server
+
+======================================================================
+ERROR: test_stream_commit_2 (__main__.TestParallelOps)
+----------------------------------------------------------------------
+Traceback (most recent call last):
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/machine.py",
line 476, in _do_shutdown
+    self._soft_shutdown(timeout, has_quit)
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/machine.py",
line 456, in _soft_shutdown
+    self._qmp.cmd('quit')
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/qmp.py",
line 278, in cmd
+    return self.cmd_obj(qmp_cmd)
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/qmp.py",
line 256, in cmd_obj
+    self.__sock.sendall(json.dumps(qmp_cmd).encode('utf-8'))
+BrokenPipeError: [Errno 32] Broken pipe
+
+The above exception was the direct cause of the following exception:
+
+Traceback (most recent call last):
+  File "030", line 226, in tearDown
+    self.vm.shutdown()
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/machine.py",
line 506, in shutdown
+    self._do_shutdown(timeout, has_quit)
+  File 
"/home/qemu/qemu-test.h37iBt/src/tests/qemu-iotests/../../python/qemu/machine.py",
line 479, in _do_shutdown
+    raise AbnormalShutdown("Could not perform graceful shutdown") \
+qemu.machine.AbnormalShutdown: Could not perform graceful shutdown
+
+----------------------------------------------------------------------
 Ran 27 tests

-OK
+FAILED (errors=2, skipped=1)

thanks
-- PMM



reply via email to

[Prev in Thread] Current Thread [Next in Thread]